# Retrieve metadata

Retrieve metadata for a given key, optionally at a specific nested path.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/retrieve-metadata HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  key: string,
  path: string?,
  data_only: boolean?,
}
```

Returns: object, string, number, boolean, null

## Request arguments

### `key` (string)

**Required**. The unique key for the metadata.

### `path` (string)

_Optional_. Optional dot-separated path to retrieve.

### `data_only` (boolean)

_Optional_. If true, only the metadata value will be returned.

## Response attributes

### `key` (string)

**Always present**. The unique key for the metadata.

### `metadata` (any)

_Nullable_. The stored JSON metadata.

### `bytesize` (number)

**Always present**. The size of the metadata in bytes.

### `version` (number)

**Always present**. The current version number (lock_version).

### `updated_at` (number)

**Always present**. The Unix timestamp (seconds since epoch) when the metadata was last updated.

### `created_at` (number)

**Always present**. The Unix timestamp (seconds since epoch) when the metadata was created.

### `expires_at` (number)

_Nullable_. The Unix timestamp (seconds since epoch) when the metadata will expire. May be null.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
